#pinstall_hacks.sh
#sourced by pinstall.sh of /usr/share/doc/langpack-template
#                          ================================
#
#120510 L18L disable LANG=C enables translations of gparted
#120816 L18L cups doc
#120929 L18L add link to english original into translated /usr/share/doc/index.html
#121001 L18L create home-en.htm from home-raw-en.htm

echo "#------------------------------------
Running pinstall.sh_hacks..."
#------------------------------------

[ `sed -i 's/^export LANG=C/#export LANG=C/' /usr/sbin/gparted_shell` ] || echo '#$LANG=C in gparted_shell' #120510

#120816 cups doc
cupsVERSION=`grep CUPS /usr/share/cups/templates/header.tmpl | cut -d'<' -f2 | cut -d ' ' -f4` 
cupsVERSION=`echo ${cupsVERSION}| cut -d'.' -f1,2`
cp -a /tmp/cups/${cupsVERSION}/doc /usr/share           2>/dev/null #1.3 1.4
cp -a /tmp/cups/${cupsVERSION}/doc-root /usr/share/cups 2>/dev/null #1.5
[ `cp -a /tmp/cups/${cupsVERSION}/templates /usr/share/cups` ] || echo "cups templates"

# i like my translations having a link back to the originals

# my home-raw.htm has a link to original english home-en.htm
# we need to create home-en.html:
. /etc/DISTRO_SPECS # has $DISTRO_NAME
[ "`sed -e \"s#DISTRO_NAME#$DISTRO_NAME#\" /usr/share/doc/home-raw-en.htm > /usr/share/doc/home-en.htm`" = "" ] && echo home-en for $DISTRO_NAME created #121001

# index-en.html does NOT exist. generate from index-top and index-bottom
# or easier: take that from .sfs if existent
# change from ... aus dem Englischen Origial im ...
#          to ... aus dem <a href="/initrd/pup_ro2/usr/share/doc/index.html">Englischen Origial</a> im ...
[ "`sed -i -e 's# Englischen Original # <a href=\"/initrd/pup_ro2/usr/share/doc/index.html\">Englischen Original</a> #' /usr/share/doc/index.html.top-raw`" = "" ] && echo backlink to original index inserted #120929

#------------------------------------
echo "...pinstall.sh_hacks finished
#------------------------------------"
